1

I've tried to use bundlrStorage but can' find where should I import it.

const Metaplex = require('@metaplex-foundation/js');
//
//
//
const MPX = Metaplex.Metaplex.make(connection).use(Metaplex.keypairIdentity(fromWallet)).use(Metaplex.Metaplex.nftStorage());

These are dependencies in my package.json:

  "dependencies": {
    "@metaplex-foundation/js": "^0.20.1",
    "@solana/spl-token": "^0.4.0",
    "@solana/web3.js": "^1.90.0",
    "bs58": "^5.0.0"
  }

2 Answers 2

3

The newest version does not support the bundler. You can downgrade to a previous version of Metaplex.

"@metaplex-foundation/js": "^0.18.3",

0

You can try this and see if it works for you

import { bundlrStorage } from "@metaplex-foundation/js";

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.